Skip to main content
Player Group

Create/Update a media file and play it across a player group

If you specify an existing media file id in the request body the uploaded file will overwrite that media library item. Otherwise a new media library item will be created using the uploaded file.

POST
/api/v1/group/play

Will preempt everything other than urgent alerts.

On success, response includes an integer push_id that can be used with the DELETE method to revoke this content assignment.

Expiration must be in the form ###m (example 10m for 10 minutes) or in UTC (2018-10-09T12:30:00Z)

Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

namestringquery

group name or id parameters

Example: sample_group
idintegerquery

group id

Example: 1
tagstringquery

search tag

durationintegerquery

length of time to play media item

Example: 15
startstringquery

Start datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

endstringquery

end datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

Body

multipart/form-data

copyright

filestring

media file (new or update to existing file)

idstring

specify the id if your updating existing media file

namestring

media library file name including optional folder

tagsstring

assign these tags to the new media (ignored if new media is not supplied)

Example: [ "tag1","tag2", "tag3" ]

Response

200application/json

OK

itemsobject[]